"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const adoptium_java_1 = require("./adoptium-java");
const artifactory_1 = require("./artifactory");
const aws_machine_image_1 = require("./aws-machine-image");
const aws_rds_1 = require("./aws-rds");
const azure_pipelines_tasks_1 = require("./azure-pipelines-tasks");
const bitbucket_tags_1 = require("./bitbucket-tags");
const cdnjs_1 = require("./cdnjs");
const clojure_1 = require("./clojure");
const conan_1 = require("./conan");
const conda_1 = require("./conda");
const cpan_1 = require("./cpan");
const crate_1 = require("./crate");
const dart_1 = require("./dart");
const docker_1 = require("./docker");
const dotnet_1 = require("./dotnet");
const flutter_version_1 = require("./flutter-version");
const galaxy_1 = require("./galaxy");
const galaxy_collection_1 = require("./galaxy-collection");
const git_refs_1 = require("./git-refs");
const git_tags_1 = require("./git-tags");
const github_releases_1 = require("./github-releases");
const github_tags_1 = require("./github-tags");
const gitlab_packages_1 = require("./gitlab-packages");
const gitlab_releases_1 = require("./gitlab-releases");
const gitlab_tags_1 = require("./gitlab-tags");
const go_1 = require("./go");
const golang_version_1 = require("./golang-version");
const gradle_version_1 = require("./gradle-version");
const helm_1 = require("./helm");
const hermit_1 = require("./hermit");
const hex_1 = require("./hex");
const jenkins_plugins_1 = require("./jenkins-plugins");
const kubernetes_api_1 = require("./kubernetes-api");
const maven_1 = require("./maven");
const node_1 = require("./node");
const npm_1 = require("./npm");
const nuget_1 = require("./nuget");
const orb_1 = require("./orb");
const packagist_1 = require("./packagist");
const pod_1 = require("./pod");
const puppet_forge_1 = require("./puppet-forge");
const pypi_1 = require("./pypi");
const repology_1 = require("./repology");
const ruby_version_1 = require("./ruby-version");
const rubygems_1 = require("./rubygems");
const sbt_package_1 = require("./sbt-package");
const sbt_plugin_1 = require("./sbt-plugin");
const terraform_module_1 = require("./terraform-module");
const terraform_provider_1 = require("./terraform-provider");
const api = new Map();
exports.default = api;
api.set(adoptium_java_1.AdoptiumJavaDatasource.id, new adoptium_java_1.AdoptiumJavaDatasource());
api.set(artifactory_1.ArtifactoryDatasource.id, new artifactory_1.ArtifactoryDatasource());
api.set(aws_machine_image_1.AwsMachineImageDataSource.id, new aws_machine_image_1.AwsMachineImageDataSource());
api.set(aws_rds_1.AwsRdsDataSource.id, new aws_rds_1.AwsRdsDataSource());
api.set(azure_pipelines_tasks_1.AzurePipelinesTasksDatasource.id, new azure_pipelines_tasks_1.AzurePipelinesTasksDatasource());
api.set(bitbucket_tags_1.BitBucketTagsDatasource.id, new bitbucket_tags_1.BitBucketTagsDatasource());
api.set(cdnjs_1.CdnJsDatasource.id, new cdnjs_1.CdnJsDatasource());
api.set(clojure_1.ClojureDatasource.id, new clojure_1.ClojureDatasource());
api.set(conan_1.ConanDatasource.id, new conan_1.ConanDatasource());
api.set(conda_1.CondaDatasource.id, new conda_1.CondaDatasource());
api.set(cpan_1.CpanDatasource.id, new cpan_1.CpanDatasource());
api.set(crate_1.CrateDatasource.id, new crate_1.CrateDatasource());
api.set(dart_1.DartDatasource.id, new dart_1.DartDatasource());
api.set(docker_1.DockerDatasource.id, new docker_1.DockerDatasource());
api.set(dotnet_1.DotnetDatasource.id, new dotnet_1.DotnetDatasource());
api.set(flutter_version_1.FlutterVersionDatasource.id, new flutter_version_1.FlutterVersionDatasource());
api.set(galaxy_1.GalaxyDatasource.id, new galaxy_1.GalaxyDatasource());
api.set(galaxy_collection_1.GalaxyCollectionDatasource.id, new galaxy_collection_1.GalaxyCollectionDatasource());
api.set(git_refs_1.GitRefsDatasource.id, new git_refs_1.GitRefsDatasource());
api.set(git_tags_1.GitTagsDatasource.id, new git_tags_1.GitTagsDatasource());
api.set(github_releases_1.GithubReleasesDatasource.id, new github_releases_1.GithubReleasesDatasource());
api.set(github_tags_1.GithubTagsDatasource.id, new github_tags_1.GithubTagsDatasource());
api.set(gitlab_packages_1.GitlabPackagesDatasource.id, new gitlab_packages_1.GitlabPackagesDatasource());
api.set(gitlab_releases_1.GitlabReleasesDatasource.id, new gitlab_releases_1.GitlabReleasesDatasource());
api.set(gitlab_tags_1.GitlabTagsDatasource.id, new gitlab_tags_1.GitlabTagsDatasource());
api.set(go_1.GoDatasource.id, new go_1.GoDatasource());
api.set(golang_version_1.GolangVersionDatasource.id, new golang_version_1.GolangVersionDatasource());
api.set(gradle_version_1.GradleVersionDatasource.id, new gradle_version_1.GradleVersionDatasource());
api.set(helm_1.HelmDatasource.id, new helm_1.HelmDatasource());
api.set(hermit_1.HermitDatasource.id, new hermit_1.HermitDatasource());
api.set(hex_1.HexDatasource.id, new hex_1.HexDatasource());
api.set(jenkins_plugins_1.JenkinsPluginsDatasource.id, new jenkins_plugins_1.JenkinsPluginsDatasource());
api.set(kubernetes_api_1.KubernetesApiDatasource.id, new kubernetes_api_1.KubernetesApiDatasource());
api.set(maven_1.MavenDatasource.id, new maven_1.MavenDatasource());
api.set(node_1.NodeDatasource.id, new node_1.NodeDatasource());
api.set(npm_1.NpmDatasource.id, new npm_1.NpmDatasource());
api.set(nuget_1.NugetDatasource.id, new nuget_1.NugetDatasource());
api.set(orb_1.OrbDatasource.id, new orb_1.OrbDatasource());
api.set(packagist_1.PackagistDatasource.id, new packagist_1.PackagistDatasource());
api.set(pod_1.PodDatasource.id, new pod_1.PodDatasource());
api.set(puppet_forge_1.PuppetForgeDatasource.id, new puppet_forge_1.PuppetForgeDatasource());
api.set(pypi_1.PypiDatasource.id, new pypi_1.PypiDatasource());
api.set(repology_1.RepologyDatasource.id, new repology_1.RepologyDatasource());
api.set(ruby_version_1.RubyVersionDatasource.id, new ruby_version_1.RubyVersionDatasource());
api.set(rubygems_1.RubyGemsDatasource.id, new rubygems_1.RubyGemsDatasource());
api.set(sbt_package_1.SbtPackageDatasource.id, new sbt_package_1.SbtPackageDatasource());
api.set(sbt_plugin_1.SbtPluginDatasource.id, new sbt_plugin_1.SbtPluginDatasource());
api.set(terraform_module_1.TerraformModuleDatasource.id, new terraform_module_1.TerraformModuleDatasource());
api.set(terraform_provider_1.TerraformProviderDatasource.id, new terraform_provider_1.TerraformProviderDatasource());
//# sourceMappingURL=api.js.map