export interface UrlParsedResult {
    datasource: string;
    repo: string;
    currentValue: string;
}
export interface BazelManagerData {
    idx: number;
}
export declare type TargetAttribute = string | string[];
export interface Target extends Record<string, TargetAttribute> {
    rule: string;
    name: string;
}
interface FragmentBase {
    value: string;
    offset: number;
}
export interface ArrayFragment extends FragmentBase {
    type: 'array';
    children: Fragment[];
}
export interface RecordFragment extends FragmentBase {
    type: 'record';
    children: Record<string, Fragment>;
}
export interface StringFragment extends FragmentBase {
    type: 'string';
}
export declare type NestedFragment = ArrayFragment | RecordFragment;
export declare type Fragment = NestedFragment | StringFragment;
export declare type FragmentData = string | FragmentData[] | {
    [k: string]: FragmentData;
};
export declare type FragmentPath = [number] | [number, string] | [number, string, number];
export declare type FragmentUpdater = string | ((_: string) => string);
export {};
