"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilesMatcher = void 0;
const tslib_1 = require("tslib");
const is_1 = tslib_1.__importDefault(require("@sindresorhus/is"));
const base_1 = require("./base");
class FilesMatcher extends base_1.Matcher {
    matches({ packageFile, lockFiles }, { matchFiles }) {
        if (is_1.default.undefined(matchFiles)) {
            return null;
        }
        if (is_1.default.undefined(packageFile)) {
            return false;
        }
        return matchFiles.some((fileName) => packageFile === fileName ||
            (is_1.default.array(lockFiles) && lockFiles?.includes(fileName)));
    }
}
exports.FilesMatcher = FilesMatcher;
//# sourceMappingURL=files.js.map